[Buildroot] [git commit] package/php: requires MD4, RC4 and RMD160 support in openssl

Yann E. MORIN yann.morin.1998 at free.fr
Sun Jun 13 20:02:51 UTC 2021


commit: https://git.buildroot.net/buildroot/commit/?id=c1aa0d4b8a28e34c9b03256f9913b3097a8cbec5
branch: https://git.buildroot.net/buildroot/commit/?id=refs/heads/master

Enable MD4, RC4 and RMD160 in openssl to fix build failure raised since
commit a83d41867c8d69a77d5cd0a665aa216af5340359

Fixes:
 - http://autobuild.buildroot.org/results/bd884a34e8de8990fc85bf51389ec4d8d3424482
 - http://autobuild.buildroot.org/results/faaa667b72ca7b8621d6b13b1912cd5413767222

Signed-off-by: Fabrice Fontaine <fontaine.fabrice at gmail.com>
Signed-off-by: Yann E. MORIN <yann.morin.1998 at free.fr>
---
 package/php/Config.ext | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/package/php/Config.ext b/package/php/Config.ext
index 44afea010b..1e8ca495a7 100644
--- a/package/php/Config.ext
+++ b/package/php/Config.ext
@@ -92,6 +92,9 @@ config BR2_PACKAGE_PHP_EXT_MCRYPT
 config BR2_PACKAGE_PHP_EXT_OPENSSL
 	bool "openssl"
 	select BR2_PACKAGE_OPENSSL
+	select BR2_PACKAGE_LIBOPENSSL_ENABLE_MD4 if BR2_PACKAGE_LIBOPENSSL
+	select BR2_PACKAGE_LIBOPENSSL_ENABLE_RC4 if BR2_PACKAGE_LIBOPENSSL
+	select BR2_PACKAGE_LIBOPENSSL_ENABLE_RMD160 if BR2_PACKAGE_LIBOPENSSL
 	help
 	  openssl support
 


More information about the buildroot mailing list